package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;
import com.pesets.resources.ResourceManager;

public class SkillFireball extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		target.skillHit(player, (int) (player.getIntelligence() * 0.4f * getLevel()), 0, 0);
		ResourceManager.getInstance().playSound("twinkle.mp3");
	}

	@Override
	public String getName() {
		return "Fireball";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Cast;
	}

	@Override
	public int getIcon() {
		return 16;
	}

	@Override
	public float getMaxColdown() {
		return 8f;
	}
	
	@Override
	public String getDescription() {
		return "Deals (intelligence * 0.4 * level) damage\nColdown: 8 sec";
	}

}
